Skip to main content
PATCH
/
files
/
2026-03
/
folders
/
{folderId}
Update folder properties by folder ID
curl --request PATCH \
  --url https://api.hubapi.com/files/2026-03/folders/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentFolderId": 123
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

folderId
string
required
Pattern: \d+

Body

application/json
name
string

New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.

parentFolderId
integer<int64>

New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.

Response

successful operation

archived
boolean
required

Marks whether the folder is deleted or not.

createdAt
string<date-time>
required

Timestamp of folder creation.

id
string
required

ID of the folder.

updatedAt
string<date-time>
required

Timestamp of the latest update to the folder.

archivedAt
string<date-time>

Timestamp of folder deletion.

name
string

Name of the folder.

parentFolderId
string

ID of the parent folder.

path
string

Path of the folder in the file manager.

Last modified on March 30, 2026